Subject: Enumerated types in the C interface

From: <[email-masked]>
Date: Tue, 05 Aug 1997 18:37:52 -0700 (PDT)

Hello,

I like the idea of replaceing the Fortran character arguments with
enumerated types in the C bindings.  But the proposed names could
conceivably clash in the namespace with an unsuspecting application.
In particular:

  enum CBLAS_SIDE {Left, Right}   or,
  enum CBLAS_UPLO {Upper, Lower} 

use some pretty common names.  Since the rest of the interface uses a
cblas_ prefix, I propose doing something similar for the enumerated
values.  perhaps "CBLAS_".  A typical call now would then look like
this:

  cblas_dtrmv(CBLAS_Upper, CBLAS_NoTranspose, diag, n, alpha, A, lda,
              x, incx);

Brian